Subject: Re: [pcp] #73 (third-party-id-option): Dan Wing's comments on draft-ietf-pcp-third-party-id-option-00

From: Andreas Ripke <[email-masked]>
Date: Fri, 16 Jan 2015 10:59:18 +0000

The new draft-ietf-pcp-third-party-id-option-01 addresses these comments.
See inline.
	
Andreas

> -----Original Message-----
> From: pcp issue tracker [mailto:[email-masked]]
> Sent: Thursday, December 11, 2014 10:16 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: [pcp] #73 (third-party-id-option): Dan Wing's comments on draft-ietf-
> pcp-third-party-id-option-00
> 
> #73: Dan Wing's comments on draft-ietf-pcp-third-party-id-option-00
> 
>  * The document mentions CGN assigning RFC1918 addresses.  A CGN shouldn't
> be assigning RFC1918 addresses, it should be assigning RFC6598 space
> (100.64.0.0/10).  RFC1918 space belongs to end subscribers, not the ISP.

As discussed on the mailing list both private and shared IP address
spaces [RFC1918][RFC6598] are now mentioned.

> 
>  * Below section 4, I see "May appear in: request. Must appear in response  if it
> appeared in the associated request." -> should be uppercased to
>  RFC2119 format.

Done.

> 
>  * Section 5.2, "Processing a Request", says:
>    "If the THIRD_PARTY_ID option is sent without a THIRD_PARTY
>    option the PCP server MUST return a MALFORMED_REQUEST response."  it
> should say "... is RECEIVED without ...", because this section is about  how to
> process a request (not how to send a request; sending was described  in
> previous section).

'received' is used in 5.2 as appropriate in the changed text.

> 
> --
> -------------------------+----------------------------------------------
> -------------------------+---
>  Reporter:               |      Owner:  draft-ietf-pcp-third-party-id-
>   [email-masked]        |  [email-masked]
>      Type:  defect       |     Status:  new
>  Priority:  minor        |  Milestone:  milestone1
> Component:  third-       |    Version:  1.0
>   party-id-option        |   Keywords:
>  Severity:  In WG Last   |
>   Call                   |
> -------------------------+----------------------------------------------
> -------------------------+---
> 
> Ticket URL: <https://tools.ietf.org/wg/pcp/trac/ticket/73>
> pcp <http://tools.ietf.org/pcp/>